import { Directive, ElementRef, HostBinding, HostListener, Input, OnInit, Renderer2 } from '@angular/core';

@Directive({
  selector: '[appHostbind]',
  standalone: true
})
export class HostbindDirective  implements OnInit{

  @Input() defaultColor:string='transparent';
  @Input() highLightColor:string='red';
  


  @HostBinding('style.backgroundColor') backGroundColor='transparent';
 
  constructor(private eleRef:ElementRef, private render:Renderer2) { }

  ngOnInit(): void {
    throw new Error('Method not implemented.');
  }

  
  @HostListener('mouseenter') mouseover(eventData:Event){
    
    this.backGroundColor=this.highLightColor;
  }

  @HostListener('mouseleave') mouseleave(eventData:Event){
    this.backGroundColor=this.defaultColor;
  }

}
